%define name mpeg4ip
%define version 1.6.1
%define cvs 20070928
%define rel 0.%cvs.3
%define release %mkrel %rel
%define distsuffix plf

%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define faaclibname %mklibname faac 0
Summary: MPEG 4 encoder and decoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{cvs}.tar.bz2
#gw needed with newer automake
Patch: mpeg4ip-20070928-am_prog_as.patch
Patch1: mpeg4ip-1.3-no-werror.patch.bz2
Patch2: mpeg4ip-1.3-x11dir.patch.bz2
Patch3: mpeg4ip-20070928-type-error.patch
#gw fix nasm detection
Patch4: mpeg4ip-20070928-nasm.patch
License: LGPL/MPL
Group: Video
Url: http://mpeg4ip.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%ifarch %ix86
BuildRequires: nasm
%endif
BuildRequires: libxvid-devel
BuildRequires: libid3-devel
BuildRequires: liba52dec-devel
BuildRequires: libmad-devel
BuildRequires: libmpeg2dec-devel
BuildRequires: libvorbis-devel
BuildRequires: libfaad2-devel
BuildRequires: libfaac-devel >= 1:1.24.1-0.20050901
BuildRequires: ffmpeg-devel
BuildRequires: liblame-devel
BuildRequires: libtwolame-devel
BuildRequires: libamrnb-devel
BuildRequires: libamrwb-devel
BuildRequires: x264-devel
BuildRequires: gtk+2-devel
BuildRequires: SDL-devel
BuildRequires: automake1.8
BuildRequires: libnas-devel libalsa-devel libarts-devel libesound-devel
BuildRequires: libtool

%description
The MPEG4IP project provides a standards-based system for encoding, 
streaming, and playing encoded audio, video and text. To achieve 
this we've integrated a number of existing open source packages, and
created some original code to fill in the gaps.

This package is in PLF as it is covered by software patents.

%package -n %libname
Group: System/Libraries
Summary: MPEG 4 shared libraries
Conflicts: %faaclibname < 1:1.24.1-0.20050901.1.1plf

%description -n %libname
The MPEG4IP project provides a standards-based system for encoding, 
streaming, and playing encoded audio, video and text. To achieve 
this we've integrated a number of existing open source packages, and
created some original code to fill in the gaps.

This package is in PLF as it is covered by software patents.

%package -n %develname
Group: Development/C++
Summary: MPEG 4 library headers
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release
Conflicts: %faaclibname-devel < 1:1.24.1-0.20050901.1.1plf
Obsoletes: %mklibname -d %name 0
Requires: %mklibname -d mp4v2

%description -n %develname
The MPEG4IP project provides a standards-based system for encoding, 
streaming, and playing encoded audio, video and text. To achieve 
this we've integrated a number of existing open source packages, and
created some original code to fill in the gaps.

This package is in PLF as it is covered by software patents.

%prep
%setup -q -n %name
%patch -p1
%patch1 -p1 -b .werror
%patch2 -p1 -b .x11path
%patch3 -p0
%patch4 -p1
./cvs_bootstrap

%build
%configure2_5x --disable-warns-as-err
%make
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%if %mdkversion >= 1020
%multiarch_includes %buildroot%_includedir/mpeg4ip_config.h
%multiarch_binaries %buildroot%_bindir/mpeg4ip-config
%endif

#gw now in the libmp4v2 package
rm -rf %buildroot{%_bindir/mp4*,%_libdir/libmp4v2*,%_includedir/mp4.h,%_mandir/{man3,manm}}


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README* TODO
%_bindir/avi2raw
%_bindir/avidump
%_bindir/gmp4player
%_bindir/h264_parse
%_bindir/lboxcrop
%_bindir/mpeg2t_dump
%_bindir/mpeg2video_parse
%_bindir/mpeg4vol
%_bindir/mpeg_ps_*
%_bindir/rgb2yuv
%_bindir/sdl_pcm_play
%_bindir/yuvdump
%_mandir/man1/*
%_libdir/mp4player_plugin/

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%if %mdkversion >= 1020
%multiarch_bindir/mpeg4ip-config
%endif
%_bindir/mpeg4ip-config
%_libdir/lib*.so
%_libdir/lib*a
%_includedir/*

%changelog
* Mon Apr 14 2008 Gtz Waschk <goetz@zarb.org> 1.6.1-0.20070928.3plf2009.0
- remove libmp4v2 (now in its own package)

* Fri Jan 18 2008 Gtz Waschk <goetz@zarb.org> 1.6.1-0.20070928.2plf2008.1
- fix check for nasm
- rebuild for new amrwb/amrnb

* Fri Oct 12 2007 Gtz Waschk <goetz@zarb.org> 1.6.1-0.20070928.1plf2008.1
- 2 small build patches
- reenable x264
- depend on libamrnb/wb
- drop patches 3,4
- new devel name
- new version

* Thu May 31 2007 Anssi Hannula <anssi@zarb.org> 1.5.0.1-5plf2008.0
- rebuild

* Sun Oct 22 2006 Anssi Hannula <anssi@zarb.org> 1.5.0.1-4plf2007.1
- patch4: fix pointer type
- move mpeg4ip-config to -devel

* Fri Oct  6 2006 Gtz Waschk <goetz@zarb.org> 1.5.0.1-3plf2007.0
- add fix for enhanced AAC

* Thu Oct 05 2006 Anssi Hannula <anssi@zarb.org> 1.5.0.1-2plf2007.0
- fix buildrequires

* Wed Oct  4 2006 Gtz Waschk <goetz@zarb.org> 1.5.0.1-1plf2007.0
- disable x264 as our version is too new
- drop patch 0
- new version

* Thu Oct  6 2005 Anssi Hannula <anssi@zarb.org> 1.3-2plf
- fix x86_64 build (patch2)
- fix buildrequires

* Mon Sep  5 2005 Götz Waschk <goetz@zarb.org> 1.3-1plf
- initial package
